#ifndef GLOBALS_H_
#define GLOBALS_H_

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <string>

const int FIELD_COUNT = 5;

// File descriptors.
enum { READ_FD = 0, WRITE_FD = 1 };

// Parent and child processes.
// fd is the array of file descriptors.
void parent(int fd[], pid_t pid);
void child(int fd[]);

#endif /* GLOBALS_H_ */
